%define major	0
%define libname	%mklibname zen %{major}
%define devname	%mklibname zen -d

Name:		libzen
Version:	0.4.33
Release:	%mkrel 1
Summary:	Shared library for mediainfo
Group:		System/Libraries
License:	BSD
URL:		https://github.com/MediaArea/ZenLib
Source0:	https://github.com/MediaArea/ZenLib/archive/v%{version}/ZenLib-%{version}.tar.gz
Patch0:		libzen_0.4.20-fix-build.patch
BuildRequires:	dos2unix
BuildRequires:	doxygen

%description
Shared library for libmediainfo and mediainfo-gui.

%package -n %{libname}
Summary:	Shared library for mediainfo
Group:		System/Libraries
Provides:	libzen
Provides:	zenlib

%description -n %{libname}
Shared library for libmediainfo and mediainfo-gui.

%package -n %{devname}
Summary:	Include files and libraries for development
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	zenlib-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Include files and mandatory libraries for development.

%prep
%setup -q -n ZenLib-%{version}
%autopatch -p1

#fix EOLs and rights
dos2unix *.txt Source/Doc/*.html
chmod 644 *.txt Source/Doc/*.html

%build
pushd Project/GNU/Library
	autoreconf -vfi
	%configure2_5x \
		--enable-shared \
		--disable-static
	%make
popd

# generate docs
pushd Source/Doc
        doxygen -u 2> /dev/null
        doxygen Doxyfile
popd

%install
pushd Project/GNU/Library
	%makeinstall_std
popd

# Zenlib headers and ZenLib-config
install -dm 755 %{buildroot}%{_includedir}/ZenLib
install -m 644 Source/ZenLib/*.h %{buildroot}%{_includedir}/ZenLib

for i in HTTP_Client Format/Html Format/Http; do
	install -dm 755 %{buildroot}%{_includedir}/ZenLib/$i
	install -m 644 Source/ZenLib/$i/*.h %{buildroot}%{_includedir}/ZenLib/$i
done

#fix and install pkgconfig file
sed -i -e '/Libs_Static.*/d' Project/GNU/Library/libzen.pc

install -dm 755 %{buildroot}%{_libdir}/pkgconfig
install -m 644 Project/GNU/Library/libzen.pc %{buildroot}%{_libdir}/pkgconfig

#we don't want these
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}%{_bindir}

%files -n %{libname}
%doc *.txt
%{_libdir}/libzen.so.%{major}{,.*}

%files -n %{devname}
%doc Source/Doc/Documentation.html
%doc Doc/*
%{_includedir}/ZenLib
%{_libdir}/libzen.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue May 10 2016 tv <tv> 0.4.33-1.mga6
+ Revision: 1012049
- new release

* Thu Dec 31 2015 wally <wally> 0.4.32-1.mga6
+ Revision: 917149
- new version 0.4.32
- update URL and Source tags

* Wed Aug 26 2015 daviddavid <daviddavid> 0.4.31-2.mga6
+ Revision: 869541
- rebuild for new gcc 5.2.1

* Thu Jun 25 2015 wally <wally> 0.4.31-1.mga6
+ Revision: 843227
- new version 0.4.31

* Wed Oct 15 2014 umeabot <umeabot> 0.4.29-4.mga5
+ Revision: 745621
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.29-3.mga5
+ Revision: 681921
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.29-2.mga4
+ Revision: 523921
- Mageia 4 Mass Rebuild

* Sun May 26 2013 wally <wally> 0.4.29-1.mga4
+ Revision: 428232
- new version 0.4.29

* Sat Feb 16 2013 dlucio <dlucio> 0.4.28-3.mga3
+ Revision: 398734
- libzen/zenlib provides

* Sat Jan 12 2013 umeabot <umeabot> 0.4.28-2.mga3
+ Revision: 358743
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 11 2012 wally <wally> 0.4.28-1.mga3
+ Revision: 280531
- new version 0.4.28

* Sat Jun 02 2012 wally <wally> 0.4.27-1.mga3
+ Revision: 253432
- new version 0.4.27

* Tue May 29 2012 luigiwalser <luigiwalser> 0.4.26-1.mga3
+ Revision: 248849
- 0.4.26

* Wed Feb 01 2012 wally <wally> 0.4.24-1.mga2
+ Revision: 203958
- new version 0.4.24

* Fri Nov 11 2011 wally <wally> 0.4.23-1.mga2
+ Revision: 166737
- new version 0.4.23

* Tue Sep 27 2011 wally <wally> 0.4.22-1.mga2
+ Revision: 149622
- new version 0.4.22
- new version 0.4.21

* Sun Jun 19 2011 wally <wally> 0.4.20-1.mga2
+ Revision: 109959
- imported package libzen

